

#ifndef TASKS_DMNODERADIOTASKTASK_H_
#define TASKS_DmNODERADIOTASKTASK_H_

#include "stdint.h"
#include "stdbool.h"

enum NodeRadioOperationStatus {
    NodeRadioStatus_Success,
    NodeRadioStatus_Failed,
    NodeRadioStatus_FailedNotConnected,
};

/* Initializes the NodeRadioTask and creates all TI-RTOS objects */
void NodeRadioTask_init(void);

/* Sends data to the concentrator */
enum NodeRadioOperationStatus NodeRadioTask_sendData(void);

/* Get node address, return 0 if node address has not been set */
uint8_t nodeRadioTask_getNodeAddr(void);

#endif /* TASKS_DMNODERADIOTASKTASK_H_ */
